ATA_UNPACK_XFERMASK(9)

NAME
ata_unpack_xfermask - Unpack xfer_mask into pio, mwdma and udma masks

SYNOPSIS

void ata_unpack_xfermask(unsigned long xfer_mask, unsigned long * pio_mask, unsigned long * mwdma_mask, unsigned long * udma_mask);

ARGUMENTS

xfer_mask
    xfer_mask to unpack

pio_mask
    resulting pio_mask

mwdma_mask
    resulting mwdma_mask

udma_mask
    resulting udma_mask

DESCRIPTION

Unpack xfer_mask into pio_mask, mwdma_mask and udma_mask. Any NULL distination masks will be ignored.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT